<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_20) on Mon Mar 28 10:40:23 EDT 2016 -->
<TITLE>
Class Hierarchy (JFtp)
</TITLE>

<META NAME="date" CONTENT="2016-03-28">

<LINK REL ="stylesheet" TYPE="text/css" HREF="stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Class Hierarchy (JFtp)";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Package</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Tree</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="index.html?overview-tree.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="overview-tree.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<CENTER>
<H2>
Hierarchy For All Packages</H2>
</CENTER>
<DL>
<DT><B>Package Hierarchies:</B><DD><A HREF="net/sf/jftp/package-tree.html">net.sf.jftp</A>, <A HREF="net/sf/jftp/config/package-tree.html">net.sf.jftp.config</A>, <A HREF="net/sf/jftp/event/package-tree.html">net.sf.jftp.event</A>, <A HREF="net/sf/jftp/gui/base/package-tree.html">net.sf.jftp.gui.base</A>, <A HREF="net/sf/jftp/gui/base/dir/package-tree.html">net.sf.jftp.gui.base.dir</A>, <A HREF="net/sf/jftp/gui/framework/package-tree.html">net.sf.jftp.gui.framework</A>, <A HREF="net/sf/jftp/gui/hostchooser/package-tree.html">net.sf.jftp.gui.hostchooser</A>, <A HREF="net/sf/jftp/gui/tasks/package-tree.html">net.sf.jftp.gui.tasks</A>, <A HREF="net/sf/jftp/net/package-tree.html">net.sf.jftp.net</A>, <A HREF="net/sf/jftp/net/server/package-tree.html">net.sf.jftp.net.server</A>, <A HREF="net/sf/jftp/net/wrappers/package-tree.html">net.sf.jftp.net.wrappers</A>, <A HREF="net/sf/jftp/system/package-tree.html">net.sf.jftp.system</A>, <A HREF="net/sf/jftp/system/logging/package-tree.html">net.sf.jftp.system.logging</A>, <A HREF="net/sf/jftp/tools/package-tree.html">net.sf.jftp.tools</A>, <A HREF="net/sf/jftp/util/package-tree.html">net.sf.jftp.util</A></DL>
<HR>
<H2>
Class Hierarchy
</H2>
<UL>
<LI TYPE="circle">java.lang.Object<UL>
<LI TYPE="circle">javax.swing.table.AbstractTableModel (implements java.io.Serializable, javax.swing.table.TableModel)
<UL>
<LI TYPE="circle">net.sf.jftp.gui.base.dir.<A HREF="net/sf/jftp/gui/base/dir/MaterializedTableModel.html" title="class in net.sf.jftp.gui.base.dir"><B>MaterializedTableModel</B></A></UL>
<LI TYPE="circle">net.sf.jftp.gui.tasks.<A HREF="net/sf/jftp/gui/tasks/AutoRemover.html" title="class in net.sf.jftp.gui.tasks"><B>AutoRemover</B></A><LI TYPE="circle">net.sf.jftp.system.<A HREF="net/sf/jftp/system/CommandLine.html" title="class in net.sf.jftp.system"><B>CommandLine</B></A> (implements net.sf.jftp.event.<A HREF="net/sf/jftp/event/EventHandler.html" title="interface in net.sf.jftp.event">EventHandler</A>, net.sf.jftp.event.<A HREF="net/sf/jftp/event/FtpEventConstants.html" title="interface in net.sf.jftp.event">FtpEventConstants</A>, java.lang.Runnable)
<LI TYPE="circle">java.awt.Component (implements java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable)
<UL>
<LI TYPE="circle">java.awt.Container<UL>
<LI TYPE="circle">javax.swing.JComponent (implements java.io.Serializable)
<UL>
<LI TYPE="circle">javax.swing.AbstractButton (implements java.awt.ItemSelectable, javax.swing.SwingConstants)
<UL>
<LI TYPE="circle">javax.swing.JButton (implements javax.accessibility.Accessible)
<UL>
<LI TYPE="circle">net.sf.jftp.gui.framework.<A HREF="net/sf/jftp/gui/framework/HButton.html" title="class in net.sf.jftp.gui.framework"><B>HButton</B></A><LI TYPE="circle">net.sf.jftp.gui.framework.<A HREF="net/sf/jftp/gui/framework/HImageButton.html" title="class in net.sf.jftp.gui.framework"><B>HImageButton</B></A> (implements java.awt.event.MouseListener)
</UL>
<LI TYPE="circle">javax.swing.JMenuItem (implements javax.accessibility.Accessible, javax.swing.MenuElement)
<UL>
<LI TYPE="circle">net.sf.jftp.gui.tasks.<A HREF="net/sf/jftp/gui/tasks/BookmarkItem.html" title="class in net.sf.jftp.gui.tasks"><B>BookmarkItem</B></A></UL>
</UL>
<LI TYPE="circle">javax.swing.JInternalFrame (implements javax.accessibility.Accessible, javax.swing.RootPaneContainer, javax.swing.WindowConstants)
<UL>
<LI TYPE="circle">net.sf.jftp.gui.tasks.<A HREF="net/sf/jftp/gui/tasks/BookmarkManager.html" title="class in net.sf.jftp.gui.tasks"><B>BookmarkManager</B></A> (implements java.awt.event.ActionListener)
<LI TYPE="circle">net.sf.jftp.gui.tasks.<A HREF="net/sf/jftp/gui/tasks/Displayer.html" title="class in net.sf.jftp.gui.tasks"><B>Displayer</B></A> (implements java.awt.event.ActionListener)
<LI TYPE="circle">net.sf.jftp.gui.tasks.<A HREF="net/sf/jftp/gui/tasks/HttpBrowser.html" title="class in net.sf.jftp.gui.tasks"><B>HttpBrowser</B></A> (implements javax.swing.event.HyperlinkListener)
<LI TYPE="circle">net.sf.jftp.gui.tasks.<A HREF="net/sf/jftp/gui/tasks/ImageViewer.html" title="class in net.sf.jftp.gui.tasks"><B>ImageViewer</B></A></UL>
<LI TYPE="circle">javax.swing.JLabel (implements javax.accessibility.Accessible, javax.swing.SwingConstants)
<UL>
<LI TYPE="circle">javax.swing.DefaultListCellRenderer (implements javax.swing.ListCellRenderer, java.io.Serializable)
<UL>
<LI TYPE="circle">net.sf.jftp.gui.base.dir.<A HREF="net/sf/jftp/gui/base/dir/DirCellRenderer.html" title="class in net.sf.jftp.gui.base.dir"><B>DirCellRenderer</B></A></UL>
<LI TYPE="circle">javax.swing.table.DefaultTableCellRenderer (implements java.io.Serializable, javax.swing.table.TableCellRenderer)
<UL>
<LI TYPE="circle">net.sf.jftp.gui.base.dir.<A HREF="net/sf/jftp/gui/base/dir/ColoredCellRenderer.html" title="class in net.sf.jftp.gui.base.dir"><B>ColoredCellRenderer</B></A></UL>
</UL>
<LI TYPE="circle">javax.swing.JMenuBar (implements javax.accessibility.Accessible, javax.swing.MenuElement)
<UL>
<LI TYPE="circle">net.sf.jftp.gui.base.<A HREF="net/sf/jftp/gui/base/AppMenuBar.html" title="class in net.sf.jftp.gui.base"><B>AppMenuBar</B></A> (implements java.awt.event.ActionListener)
</UL>
<LI TYPE="circle">javax.swing.JPanel (implements javax.accessibility.Accessible)
<UL>
<LI TYPE="circle">net.sf.jftp.gui.framework.<A HREF="net/sf/jftp/gui/framework/BorderPanel.html" title="class in net.sf.jftp.gui.framework"><B>BorderPanel</B></A><LI TYPE="circle">net.sf.jftp.gui.base.dir.<A HREF="net/sf/jftp/gui/base/dir/DirCanvas.html" title="class in net.sf.jftp.gui.base.dir"><B>DirCanvas</B></A> (implements java.awt.event.MouseListener)
<LI TYPE="circle">net.sf.jftp.gui.framework.<A HREF="net/sf/jftp/gui/framework/HComboBox.html" title="class in net.sf.jftp.gui.framework"><B>HComboBox</B></A><LI TYPE="circle">net.sf.jftp.gui.framework.<A HREF="net/sf/jftp/gui/framework/HDesktopBackground.html" title="class in net.sf.jftp.gui.framework"><B>HDesktopBackground</B></A> (implements java.awt.image.ImageObserver, java.awt.event.MouseListener)
<LI TYPE="circle">net.sf.jftp.gui.framework.<A HREF="net/sf/jftp/gui/framework/HPanel.html" title="class in net.sf.jftp.gui.framework"><B>HPanel</B></A><UL>
<LI TYPE="circle">net.sf.jftp.gui.tasks.<A HREF="net/sf/jftp/gui/tasks/AdvancedOptions.html" title="class in net.sf.jftp.gui.tasks"><B>AdvancedOptions</B></A> (implements java.awt.event.ActionListener)
<LI TYPE="circle">net.sf.jftp.gui.base.dir.<A HREF="net/sf/jftp/gui/base/dir/DirPanel.html" title="class in net.sf.jftp.gui.base.dir"><B>DirPanel</B></A> (implements net.sf.jftp.gui.base.dir.<A HREF="net/sf/jftp/gui/base/dir/Dir.html" title="interface in net.sf.jftp.gui.base.dir">Dir</A>)
<UL>
<LI TYPE="circle">net.sf.jftp.gui.base.dir.<A HREF="net/sf/jftp/gui/base/dir/DirComponent.html" title="class in net.sf.jftp.gui.base.dir"><B>DirComponent</B></A> (implements javax.swing.event.ListSelectionListener)
<UL>
<LI TYPE="circle">net.sf.jftp.gui.base.<A HREF="net/sf/jftp/gui/base/LocalDir.html" title="class in net.sf.jftp.gui.base"><B>LocalDir</B></A> (implements java.awt.event.ActionListener, net.sf.jftp.net.<A HREF="net/sf/jftp/net/ConnectionListener.html" title="interface in net.sf.jftp.net">ConnectionListener</A>, java.awt.event.KeyListener, javax.swing.event.ListSelectionListener)
<LI TYPE="circle">net.sf.jftp.gui.base.<A HREF="net/sf/jftp/gui/base/RemoteDir.html" title="class in net.sf.jftp.gui.base"><B>RemoteDir</B></A> (implements java.awt.event.ActionListener, net.sf.jftp.net.<A HREF="net/sf/jftp/net/ConnectionListener.html" title="interface in net.sf.jftp.net">ConnectionListener</A>, java.awt.event.KeyListener, javax.swing.event.ListSelectionListener)
</UL>
</UL>
<LI TYPE="circle">net.sf.jftp.gui.base.<A HREF="net/sf/jftp/gui/base/DownloadList.html" title="class in net.sf.jftp.gui.base"><B>DownloadList</B></A> (implements java.awt.event.ActionListener)
<LI TYPE="circle">net.sf.jftp.gui.base.<A HREF="net/sf/jftp/gui/base/DownloadQueue.html" title="class in net.sf.jftp.gui.base"><B>DownloadQueue</B></A> (implements java.awt.event.ActionListener)
<LI TYPE="circle">net.sf.jftp.gui.framework.<A HREF="net/sf/jftp/gui/framework/HInsetPanel.html" title="class in net.sf.jftp.gui.framework"><B>HInsetPanel</B></A><LI TYPE="circle">net.sf.jftp.gui.tasks.<A HREF="net/sf/jftp/gui/tasks/HttpDownloader.html" title="class in net.sf.jftp.gui.tasks"><B>HttpDownloader</B></A> (implements java.awt.event.ActionListener)
<LI TYPE="circle">net.sf.jftp.tools.<A HREF="net/sf/jftp/tools/HttpSpider.html" title="class in net.sf.jftp.tools"><B>HttpSpider</B></A> (implements java.awt.event.ActionListener, java.lang.Runnable)
<LI TYPE="circle">net.sf.jftp.gui.framework.<A HREF="net/sf/jftp/gui/framework/LoadPanel.html" title="class in net.sf.jftp.gui.framework"><B>LoadPanel</B></A><LI TYPE="circle">net.sf.jftp.gui.tasks.<A HREF="net/sf/jftp/gui/tasks/ProxyChooser.html" title="class in net.sf.jftp.gui.tasks"><B>ProxyChooser</B></A> (implements java.awt.event.ActionListener)
<LI TYPE="circle">net.sf.jftp.gui.base.<A HREF="net/sf/jftp/gui/base/StatusPanel.html" title="class in net.sf.jftp.gui.base"><B>StatusPanel</B></A> (implements java.awt.event.ActionListener)
<LI TYPE="circle">net.sf.jftp.gui.framework.<A HREF="net/sf/jftp/gui/framework/Template.html" title="class in net.sf.jftp.gui.framework"><B>Template</B></A> (implements java.awt.event.ActionListener)
<LI TYPE="circle">net.sf.jftp.gui.framework.<A HREF="net/sf/jftp/gui/framework/TransferComponent.html" title="class in net.sf.jftp.gui.framework"><B>TransferComponent</B></A></UL>
<LI TYPE="circle">net.sf.jftp.gui.framework.<A HREF="net/sf/jftp/gui/framework/HTextField.html" title="class in net.sf.jftp.gui.framework"><B>HTextField</B></A><UL>
<LI TYPE="circle">net.sf.jftp.gui.framework.<A HREF="net/sf/jftp/gui/framework/HPasswordField.html" title="class in net.sf.jftp.gui.framework"><B>HPasswordField</B></A></UL>
<LI TYPE="circle">net.sf.jftp.<A HREF="net/sf/jftp/JFtp.html" title="class in net.sf.jftp"><B>JFtp</B></A> (implements javax.swing.event.ChangeListener, java.awt.event.ComponentListener, javax.swing.event.InternalFrameListener, net.sf.jftp.system.logging.<A HREF="net/sf/jftp/system/logging/Logger.html" title="interface in net.sf.jftp.system.logging">Logger</A>, java.awt.event.WindowListener)
<LI TYPE="circle">net.sf.jftp.gui.framework.<A HREF="net/sf/jftp/gui/framework/ProgressbarItem.html" title="class in net.sf.jftp.gui.framework"><B>ProgressbarItem</B></A><LI TYPE="circle">net.sf.jftp.gui.framework.<A HREF="net/sf/jftp/gui/framework/ProgressBarList.html" title="class in net.sf.jftp.gui.framework"><B>ProgressBarList</B></A><LI TYPE="circle">net.sf.jftp.tools.<A HREF="net/sf/jftp/tools/RSSFeeder.html" title="class in net.sf.jftp.tools"><B>RSSFeeder</B></A> (implements java.awt.event.ActionListener, java.lang.Runnable)
<LI TYPE="circle">net.sf.jftp.gui.base.<A HREF="net/sf/jftp/gui/base/StatusCanvas.html" title="class in net.sf.jftp.gui.base"><B>StatusCanvas</B></A></UL>
</UL>
<LI TYPE="circle">java.awt.Panel (implements javax.accessibility.Accessible)
<UL>
<LI TYPE="circle">java.applet.Applet<UL>
<LI TYPE="circle">net.sf.jftp.<A HREF="net/sf/jftp/JFtpApplet.html" title="class in net.sf.jftp"><B>JFtpApplet</B></A></UL>
</UL>
<LI TYPE="circle">java.awt.Window (implements javax.accessibility.Accessible)
<UL>
<LI TYPE="circle">java.awt.Dialog<UL>
<LI TYPE="circle">javax.swing.JDialog (implements javax.accessibility.Accessible, javax.swing.RootPaneContainer, javax.swing.WindowConstants)
<UL>
<LI TYPE="circle">net.sf.jftp.gui.framework.<A HREF="net/sf/jftp/gui/framework/HFrame.html" title="class in net.sf.jftp.gui.framework"><B>HFrame</B></A><UL>
<LI TYPE="circle">net.sf.jftp.gui.tasks.<A HREF="net/sf/jftp/gui/tasks/AddBookmarks.html" title="class in net.sf.jftp.gui.tasks"><B>AddBookmarks</B></A> (implements java.awt.event.ActionListener, java.awt.event.WindowListener)
<LI TYPE="circle">net.sf.jftp.gui.tasks.<A HREF="net/sf/jftp/gui/tasks/Creator.html" title="class in net.sf.jftp.gui.tasks"><B>Creator</B></A> (implements java.awt.event.ActionListener)
<LI TYPE="circle">net.sf.jftp.gui.tasks.<A HREF="net/sf/jftp/gui/tasks/ExternalDisplayer.html" title="class in net.sf.jftp.gui.tasks"><B>ExternalDisplayer</B></A> (implements java.awt.event.ActionListener)
<LI TYPE="circle">net.sf.jftp.gui.hostchooser.<A HREF="net/sf/jftp/gui/hostchooser/HostChooser.html" title="class in net.sf.jftp.gui.hostchooser"><B>HostChooser</B></A> (implements java.awt.event.ActionListener, java.awt.event.WindowListener)
<LI TYPE="circle">net.sf.jftp.util.<A HREF="net/sf/jftp/util/JHostChooser.html" title="class in net.sf.jftp.util"><B>JHostChooser</B></A> (implements java.awt.event.ActionListener)
<LI TYPE="circle">net.sf.jftp.gui.tasks.<A HREF="net/sf/jftp/gui/tasks/NameChooser.html" title="class in net.sf.jftp.gui.tasks"><B>NameChooser</B></A> (implements java.awt.event.ActionListener)
<LI TYPE="circle">net.sf.jftp.gui.hostchooser.<A HREF="net/sf/jftp/gui/hostchooser/NfsHostChooser.html" title="class in net.sf.jftp.gui.hostchooser"><B>NfsHostChooser</B></A> (implements java.awt.event.ActionListener, java.awt.event.WindowListener)
<LI TYPE="circle">net.sf.jftp.gui.tasks.<A HREF="net/sf/jftp/gui/tasks/PathChanger.html" title="class in net.sf.jftp.gui.tasks"><B>PathChanger</B></A> (implements java.awt.event.ActionListener)
<LI TYPE="circle">net.sf.jftp.gui.base.<A HREF="net/sf/jftp/gui/base/Properties.html" title="class in net.sf.jftp.gui.base"><B>Properties</B></A> (implements java.awt.event.ActionListener)
<LI TYPE="circle">net.sf.jftp.gui.tasks.<A HREF="net/sf/jftp/gui/tasks/RemoteCommand.html" title="class in net.sf.jftp.gui.tasks"><B>RemoteCommand</B></A> (implements java.awt.event.ActionListener)
<LI TYPE="circle">net.sf.jftp.gui.tasks.<A HREF="net/sf/jftp/gui/tasks/Remover.html" title="class in net.sf.jftp.gui.tasks"><B>Remover</B></A> (implements java.awt.event.ActionListener)
<LI TYPE="circle">net.sf.jftp.gui.tasks.<A HREF="net/sf/jftp/gui/tasks/RemoverQuery.html" title="class in net.sf.jftp.gui.tasks"><B>RemoverQuery</B></A> (implements java.awt.event.ActionListener)
<LI TYPE="circle">net.sf.jftp.gui.tasks.<A HREF="net/sf/jftp/gui/tasks/Renamer.html" title="class in net.sf.jftp.gui.tasks"><B>Renamer</B></A> (implements java.awt.event.ActionListener)
<LI TYPE="circle">net.sf.jftp.gui.base.<A HREF="net/sf/jftp/gui/base/ResumeDialog.html" title="class in net.sf.jftp.gui.base"><B>ResumeDialog</B></A> (implements java.awt.event.ActionListener)
<LI TYPE="circle">net.sf.jftp.gui.hostchooser.<A HREF="net/sf/jftp/gui/hostchooser/SftpHostChooser.html" title="class in net.sf.jftp.gui.hostchooser"><B>SftpHostChooser</B></A> (implements java.awt.event.ActionListener, javax.swing.event.ChangeListener, java.awt.event.WindowListener)
<LI TYPE="circle">net.sf.jftp.tools.<A HREF="net/sf/jftp/tools/Shell.html" title="class in net.sf.jftp.tools"><B>Shell</B></A> (implements java.lang.Runnable)
<LI TYPE="circle">net.sf.jftp.gui.hostchooser.<A HREF="net/sf/jftp/gui/hostchooser/SmbHostChooser.html" title="class in net.sf.jftp.gui.hostchooser"><B>SmbHostChooser</B></A> (implements java.awt.event.ActionListener, java.awt.event.WindowListener)
<LI TYPE="circle">net.sf.jftp.gui.hostchooser.<A HREF="net/sf/jftp/gui/hostchooser/WebdavHostChooser.html" title="class in net.sf.jftp.gui.hostchooser"><B>WebdavHostChooser</B></A> (implements java.awt.event.ActionListener, java.awt.event.WindowListener)
</UL>
<LI TYPE="circle">net.sf.jftp.gui.tasks.<A HREF="net/sf/jftp/gui/tasks/HostList.html" title="class in net.sf.jftp.gui.tasks"><B>HostList</B></A></UL>
</UL>
<LI TYPE="circle">java.awt.Frame (implements java.awt.MenuContainer)
<UL>
<LI TYPE="circle">javax.swing.JFrame (implements javax.accessibility.Accessible, javax.swing.RootPaneContainer, javax.swing.WindowConstants)
<UL>
<LI TYPE="circle">net.sf.jftp.util.<A HREF="net/sf/jftp/util/RawConnection.html" title="class in net.sf.jftp.util"><B>RawConnection</B></A> (implements java.awt.event.ActionListener, java.awt.event.WindowListener)
</UL>
</UL>
</UL>
</UL>
</UL>
<LI TYPE="circle">net.sf.jftp.net.<A HREF="net/sf/jftp/net/ConnectionHandler.html" title="class in net.sf.jftp.net"><B>ConnectionHandler</B></A><LI TYPE="circle">net.sf.jftp.config.<A HREF="net/sf/jftp/config/Crypto.html" title="class in net.sf.jftp.config"><B>Crypto</B></A><LI TYPE="circle">net.sf.jftp.net.<A HREF="net/sf/jftp/net/DataConnection.html" title="class in net.sf.jftp.net"><B>DataConnection</B></A> (implements java.lang.Runnable)
<LI TYPE="circle">net.sf.jftp.gui.base.dir.<A HREF="net/sf/jftp/gui/base/dir/DirEntry.html" title="class in net.sf.jftp.gui.base.dir"><B>DirEntry</B></A><LI TYPE="circle">net.sf.jftp.gui.base.dir.<A HREF="net/sf/jftp/gui/base/dir/DirLister.html" title="class in net.sf.jftp.gui.base.dir"><B>DirLister</B></A> (implements java.awt.event.ActionListener)
<LI TYPE="circle">net.sf.jftp.event.<A HREF="net/sf/jftp/event/Event.html" title="class in net.sf.jftp.event"><B>Event</B></A><UL>
<LI TYPE="circle">net.sf.jftp.event.<A HREF="net/sf/jftp/event/FtpEvent.html" title="class in net.sf.jftp.event"><B>FtpEvent</B></A></UL>
<LI TYPE="circle">net.sf.jftp.event.<A HREF="net/sf/jftp/event/EventCollector.html" title="class in net.sf.jftp.event"><B>EventCollector</B></A> (implements net.sf.jftp.event.<A HREF="net/sf/jftp/event/Acceptor.html" title="interface in net.sf.jftp.event">Acceptor</A>)
<LI TYPE="circle">net.sf.jftp.event.<A HREF="net/sf/jftp/event/EventProcessor.html" title="class in net.sf.jftp.event"><B>EventProcessor</B></A> (implements net.sf.jftp.event.<A HREF="net/sf/jftp/event/Acceptor.html" title="interface in net.sf.jftp.event">Acceptor</A>, net.sf.jftp.event.<A HREF="net/sf/jftp/event/EventHandler.html" title="interface in net.sf.jftp.event">EventHandler</A>, net.sf.jftp.event.<A HREF="net/sf/jftp/event/FtpEventConstants.html" title="interface in net.sf.jftp.event">FtpEventConstants</A>, java.lang.Runnable)
<LI TYPE="circle">net.sf.jftp.tools.<A HREF="net/sf/jftp/tools/FileSearch.html" title="class in net.sf.jftp.tools"><B>FileSearch</B></A><LI TYPE="circle">net.sf.jftp.net.<A HREF="net/sf/jftp/net/FilesystemConnection.html" title="class in net.sf.jftp.net"><B>FilesystemConnection</B></A> (implements net.sf.jftp.net.<A HREF="net/sf/jftp/net/BasicConnection.html" title="interface in net.sf.jftp.net">BasicConnection</A>)
<LI TYPE="circle">net.sf.jftp.gui.framework.<A HREF="net/sf/jftp/gui/framework/FileTransferable.html" title="class in net.sf.jftp.gui.framework"><B>FileTransferable</B></A> (implements java.awt.datatransfer.Transferable)
<LI TYPE="circle">net.sf.jftp.net.<A HREF="net/sf/jftp/net/FtpClient.html" title="class in net.sf.jftp.net"><B>FtpClient</B></A><LI TYPE="circle">net.sf.jftp.net.<A HREF="net/sf/jftp/net/FtpConnection.html" title="class in net.sf.jftp.net"><B>FtpConnection</B></A> (implements net.sf.jftp.net.<A HREF="net/sf/jftp/net/BasicConnection.html" title="interface in net.sf.jftp.net">BasicConnection</A>, net.sf.jftp.net.<A HREF="net/sf/jftp/net/FtpConstants.html" title="interface in net.sf.jftp.net">FtpConstants</A>)
<LI TYPE="circle">net.sf.jftp.event.<A HREF="net/sf/jftp/event/FtpEventHandler.html" title="class in net.sf.jftp.event"><B>FtpEventHandler</B></A> (implements net.sf.jftp.event.<A HREF="net/sf/jftp/event/EventHandler.html" title="interface in net.sf.jftp.event">EventHandler</A>)
<LI TYPE="circle">net.sf.jftp.gui.base.<A HREF="net/sf/jftp/gui/base/FtpHost.html" title="class in net.sf.jftp.gui.base"><B>FtpHost</B></A><LI TYPE="circle">net.sf.jftp.net.<A HREF="net/sf/jftp/net/FtpKeepAliveThread.html" title="class in net.sf.jftp.net"><B>FtpKeepAliveThread</B></A> (implements java.lang.Runnable)
<LI TYPE="circle">net.sf.jftp.gui.framework.<A HREF="net/sf/jftp/gui/framework/GUIDefaults.html" title="class in net.sf.jftp.gui.framework"><B>GUIDefaults</B></A><LI TYPE="circle">net.sf.jftp.gui.framework.<A HREF="net/sf/jftp/gui/framework/HImage.html" title="class in net.sf.jftp.gui.framework"><B>HImage</B></A><LI TYPE="circle">net.sf.jftp.gui.tasks.<A HREF="net/sf/jftp/gui/tasks/HostInfo.html" title="class in net.sf.jftp.gui.tasks"><B>HostInfo</B></A><LI TYPE="circle">net.sf.jftp.net.<A HREF="net/sf/jftp/net/JConnection.html" title="class in net.sf.jftp.net"><B>JConnection</B></A> (implements java.lang.Runnable)
<LI TYPE="circle">net.sf.jftp.util.<A HREF="net/sf/jftp/util/JRawConnection.html" title="class in net.sf.jftp.util"><B>JRawConnection</B></A> (implements java.lang.Runnable)
<LI TYPE="circle">net.sf.jftp.util.<A HREF="net/sf/jftp/util/JReciever.html" title="class in net.sf.jftp.util"><B>JReciever</B></A> (implements java.lang.Runnable)
<LI TYPE="circle">net.sf.jftp.gui.tasks.<A HREF="net/sf/jftp/gui/tasks/LastConnections.html" title="class in net.sf.jftp.gui.tasks"><B>LastConnections</B></A><LI TYPE="circle">net.sf.jftp.config.<A HREF="net/sf/jftp/config/LoadSet.html" title="class in net.sf.jftp.config"><B>LoadSet</B></A><LI TYPE="circle">net.sf.jftp.system.<A HREF="net/sf/jftp/system/LocalIO.html" title="class in net.sf.jftp.system"><B>LocalIO</B></A><LI TYPE="circle">net.sf.jftp.system.logging.<A HREF="net/sf/jftp/system/logging/Log.html" title="class in net.sf.jftp.system.logging"><B>Log</B></A><LI TYPE="circle">net.sf.jftp.system.logging.<A HREF="net/sf/jftp/system/logging/Log4JLogger.html" title="class in net.sf.jftp.system.logging"><B>Log4JLogger</B></A> (implements net.sf.jftp.system.logging.<A HREF="net/sf/jftp/system/logging/Logger.html" title="interface in net.sf.jftp.system.logging">Logger</A>)
<LI TYPE="circle">net.sf.jftp.gui.base.<A HREF="net/sf/jftp/gui/base/LogFlusher.html" title="class in net.sf.jftp.gui.base"><B>LogFlusher</B></A> (implements java.lang.Runnable)
<LI TYPE="circle">net.sf.jftp.net.wrappers.<A HREF="net/sf/jftp/net/wrappers/NfsConnection.html" title="class in net.sf.jftp.net.wrappers"><B>NfsConnection</B></A> (implements net.sf.jftp.net.<A HREF="net/sf/jftp/net/BasicConnection.html" title="interface in net.sf.jftp.net">BasicConnection</A>)
<LI TYPE="circle">NtlmAuthenticator<UL>
<LI TYPE="circle">net.sf.jftp.net.wrappers.<A HREF="net/sf/jftp/net/wrappers/SmbConnection.html" title="class in net.sf.jftp.net.wrappers"><B>SmbConnection</B></A> (implements net.sf.jftp.net.<A HREF="net/sf/jftp/net/BasicConnection.html" title="interface in net.sf.jftp.net">BasicConnection</A>)
</UL>
<LI TYPE="circle">NtlmAuthenticator<UL>
<LI TYPE="circle">net.sf.jftp.net.wrappers.<A HREF="net/sf/jftp/net/wrappers/SmbTest.html" title="class in net.sf.jftp.net.wrappers"><B>SmbTest</B></A></UL>
<LI TYPE="circle">net.sf.jftp.tools.<A HREF="net/sf/jftp/tools/RSSParser.html" title="class in net.sf.jftp.tools"><B>RSSParser</B></A><LI TYPE="circle">net.sf.jftp.config.<A HREF="net/sf/jftp/config/SaveSet.html" title="class in net.sf.jftp.config"><B>SaveSet</B></A><LI TYPE="circle">net.sf.jftp.config.<A HREF="net/sf/jftp/config/Settings.html" title="class in net.sf.jftp.config"><B>Settings</B></A><LI TYPE="circle">net.sf.jftp.net.wrappers.<A HREF="net/sf/jftp/net/wrappers/Sftp2Connection.html" title="class in net.sf.jftp.net.wrappers"><B>Sftp2Connection</B></A> (implements net.sf.jftp.net.<A HREF="net/sf/jftp/net/BasicConnection.html" title="interface in net.sf.jftp.net">BasicConnection</A>)
<LI TYPE="circle">net.sf.jftp.net.wrappers.<A HREF="net/sf/jftp/net/wrappers/Sftp2Transfer.html" title="class in net.sf.jftp.net.wrappers"><B>Sftp2Transfer</B></A> (implements java.lang.Runnable)
<LI TYPE="circle">net.sf.jftp.net.wrappers.<A HREF="net/sf/jftp/net/wrappers/SmbTransfer.html" title="class in net.sf.jftp.net.wrappers"><B>SmbTransfer</B></A> (implements java.lang.Runnable)
<LI TYPE="circle">net.sf.jftp.net.wrappers.<A HREF="net/sf/jftp/net/wrappers/StartConnection.html" title="class in net.sf.jftp.net.wrappers"><B>StartConnection</B></A><LI TYPE="circle">net.sf.jftp.system.<A HREF="net/sf/jftp/system/StringUtils.html" title="class in net.sf.jftp.system"><B>StringUtils</B></A><LI TYPE="circle">net.sf.jftp.system.logging.<A HREF="net/sf/jftp/system/logging/SystemLogger.html" title="class in net.sf.jftp.system.logging"><B>SystemLogger</B></A> (implements net.sf.jftp.system.logging.<A HREF="net/sf/jftp/system/logging/Logger.html" title="interface in net.sf.jftp.system.logging">Logger</A>)
<LI TYPE="circle">net.sf.jftp.gui.base.dir.<A HREF="net/sf/jftp/gui/base/dir/TableUtils.html" title="class in net.sf.jftp.gui.base.dir"><B>TableUtils</B></A><LI TYPE="circle">java.lang.Thread (implements java.lang.Runnable)
<UL>
<LI TYPE="circle">net.sf.jftp.net.server.<A HREF="net/sf/jftp/net/server/FtpServer.html" title="class in net.sf.jftp.net.server"><B>FtpServer</B></A><LI TYPE="circle">net.sf.jftp.net.server.<A HREF="net/sf/jftp/net/server/FtpServerSocket.html" title="class in net.sf.jftp.net.server"><B>FtpServerSocket</B></A></UL>
<LI TYPE="circle">net.sf.jftp.net.<A HREF="net/sf/jftp/net/Transfer.html" title="class in net.sf.jftp.net"><B>Transfer</B></A><UL>
<LI TYPE="circle">net.sf.jftp.net.<A HREF="net/sf/jftp/net/FtpTransfer.html" title="class in net.sf.jftp.net"><B>FtpTransfer</B></A> (implements java.lang.Runnable)
<LI TYPE="circle">net.sf.jftp.net.wrappers.<A HREF="net/sf/jftp/net/wrappers/HttpTransfer.html" title="class in net.sf.jftp.net.wrappers"><B>HttpTransfer</B></A> (implements java.lang.Runnable)
</UL>
<LI TYPE="circle">net.sf.jftp.gui.base.<A HREF="net/sf/jftp/gui/base/UITool.html" title="class in net.sf.jftp.gui.base"><B>UITool</B></A><LI TYPE="circle">net.sf.jftp.gui.base.<A HREF="net/sf/jftp/gui/base/UIUtils.html" title="class in net.sf.jftp.gui.base"><B>UIUtils</B></A><LI TYPE="circle">net.sf.jftp.system.<A HREF="net/sf/jftp/system/UpdateDaemon.html" title="class in net.sf.jftp.system"><B>UpdateDaemon</B></A> (implements java.lang.Runnable)
<LI TYPE="circle">net.sf.jftp.gui.framework.<A HREF="net/sf/jftp/gui/framework/Updater.html" title="class in net.sf.jftp.gui.framework"><B>Updater</B></A><LI TYPE="circle">java.net.URLConnection<UL>
<LI TYPE="circle">net.sf.jftp.net.<A HREF="net/sf/jftp/net/FtpURLConnection.html" title="class in net.sf.jftp.net"><B>FtpURLConnection</B></A><LI TYPE="circle">net.sf.jftp.net.wrappers.<A HREF="net/sf/jftp/net/wrappers/Sftp2URLConnection.html" title="class in net.sf.jftp.net.wrappers"><B>Sftp2URLConnection</B></A></UL>
<LI TYPE="circle">java.net.URLStreamHandler<UL>
<LI TYPE="circle">net.sf.jftp.net.<A HREF="net/sf/jftp/net/FtpURLStreamHandler.html" title="class in net.sf.jftp.net"><B>FtpURLStreamHandler</B></A></UL>
<LI TYPE="circle">net.sf.jftp.net.wrappers.<A HREF="net/sf/jftp/net/wrappers/WebdavConnection.html" title="class in net.sf.jftp.net.wrappers"><B>WebdavConnection</B></A> (implements net.sf.jftp.net.<A HREF="net/sf/jftp/net/BasicConnection.html" title="interface in net.sf.jftp.net">BasicConnection</A>)
<LI TYPE="circle">org.eclipse.swt.widgets.Widget<UL>
<LI TYPE="circle">org.eclipse.swt.widgets.Control (implements org.eclipse.swt.graphics.Drawable)
<UL>
<LI TYPE="circle">org.eclipse.swt.widgets.Scrollable<UL>
<LI TYPE="circle">org.eclipse.swt.widgets.Composite<UL>
<LI TYPE="circle">net.sf.jftp.gui.tasks.<A HREF="net/sf/jftp/gui/tasks/NativeHttpBrowser.html" title="class in net.sf.jftp.gui.tasks"><B>NativeHttpBrowser</B></A></UL>
</UL>
</UL>
</UL>
<LI TYPE="circle">net.sf.jftp.util.<A HREF="net/sf/jftp/util/ZipFileCreator.html" title="class in net.sf.jftp.util"><B>ZipFileCreator</B></A></UL>
</UL>
<H2>
Interface Hierarchy
</H2>
<UL>
<LI TYPE="circle">net.sf.jftp.event.<A HREF="net/sf/jftp/event/Acceptor.html" title="interface in net.sf.jftp.event"><B>Acceptor</B></A><LI TYPE="circle">net.sf.jftp.net.<A HREF="net/sf/jftp/net/BasicConnection.html" title="interface in net.sf.jftp.net"><B>BasicConnection</B></A><LI TYPE="circle">net.sf.jftp.net.<A HREF="net/sf/jftp/net/ConnectionListener.html" title="interface in net.sf.jftp.net"><B>ConnectionListener</B></A><LI TYPE="circle">net.sf.jftp.gui.base.dir.<A HREF="net/sf/jftp/gui/base/dir/Dir.html" title="interface in net.sf.jftp.gui.base.dir"><B>Dir</B></A><LI TYPE="circle">net.sf.jftp.event.<A HREF="net/sf/jftp/event/EventHandler.html" title="interface in net.sf.jftp.event"><B>EventHandler</B></A><LI TYPE="circle">net.sf.jftp.net.<A HREF="net/sf/jftp/net/FtpConstants.html" title="interface in net.sf.jftp.net"><B>FtpConstants</B></A><LI TYPE="circle">net.sf.jftp.event.<A HREF="net/sf/jftp/event/FtpEventConstants.html" title="interface in net.sf.jftp.event"><B>FtpEventConstants</B></A><LI TYPE="circle">net.sf.jftp.system.logging.<A HREF="net/sf/jftp/system/logging/Logger.html" title="interface in net.sf.jftp.system.logging"><B>Logger</B></A></UL>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Package</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Tree</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="index.html?overview-tree.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="overview-tree.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
